#ifndef RX8900_H
#define RX8900_H

struct dateTime {
    uint8_t second;             // 0-59
    uint8_t minute;             // 0-59
    uint8_t hour;               // 0-23
    uint8_t week;               // 0(Sun)-6(Sat)
    uint8_t day;                // 1-31
    uint8_t month;              // 1-12
    uint8_t year;               // 00-99
};

enum RTC_MODE_TYP{
    RTC_IDLE = 0,
    RTC_RX,
    RTC_RX_END,
    RTC_WRITE,
    RTC_MODE_MAX
};

#endif

#ifdef RTC_C
    #define GLOBAL
#else
    #define GLOBAL extern
#endif

GLOBAL uint8_t stimData[20];
GLOBAL RTC_MODE_TYP rtcmode;

GLOBAL void Rx8900begin(void);
GLOBAL void Rx8900setRegisters(uint8_t address, int sz, uint8_t *data);
GLOBAL void Rx8900getRegisters(uint8_t address, int sz, uint8_t *data);
GLOBAL void Rx8900setDateTime(dateTime *dt);
GLOBAL void Rx8900setUint(uint8_t *dt, uint8_t wk);
GLOBAL void Rx8900getDateTime(struct dateTime *dt);
GLOBAL String Rx8900getDateTime(void);
GLOBAL float Rx8900getTemp(void);

#undef GLOBAL